[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Help-gsl] GSL not detected

From: Marco Maggi
Subject: Re: [Help-gsl] GSL not detected
Date: Fri, 23 Oct 2009 22:23:28 +0200

"Francesco Pietra" wrote:
> In  the  parallel  compilation  of software  OCTOPUS  with
> gfortran  on   Debian  Linux  amd64  lenny,   gsl  is  not
> seen.

Interested people can find tarballs at:


disclaimer: I am no Octopus user.  I cannot try it because I
do not have installed all the prerequisite packages.

> As  the problem  was not  yet solved  through  the OCTOPUS
> mailing list, I am asking help here.

Can you  post a link to the  thread, so that we  can see how
far did you go?

> configure:13552: checking for gsl-config
> configure:13570: found /usr/bin/gsl-config
> configure:13583: result: /usr/bin/gsl-config
> configure:13592: checking for GSL - version >= 1.9
> configure:13702: /usr/lib/lam/bin/mpicc -o conftest -g -O2
> -I/usr/include   conftest.c -lnuma  -L/usr/lib -lgsl -lgslcblas -lm >&5

This  seems to  indicate that  gsl-config is  found  and run

> /usr/lib/ undefined reference to `orte_init_stage2'
> [...]
> /usr/lib/ undefined reference to `opal_progress_mpi_init'

This  seems  to indicate  that,  while  linking  the test  C
program, the  libraries exporting the  "orte_*" and "opal_*"
functions were not included on the command line.

  I dunno where  they come from... from a  quick search they
seem to be  OpenMPI stuff; is "mpicc" supposed  to link them
in automatically?

> configure:13706: $? = 1
> configure: program exited with status 1

This has nothing to do  with the GSL; the displayed error is
about GSL-not-found  because the failed test program purpose
was  to find  the GSL;  "configure" scripts  have no  way to
distinguish the cause of the failure.

  My  guess is that  Octopus' ""  does something
wrong around these lines:


maybe some more libraries should have been included in LIBS'
value.  I see that a previous execution of "mpif90" included:

  -lmpi -lopen-rte -lopen-pal 

maybe these are required by "mpicc", too.

Marco Maggi

reply via email to

[Prev in Thread] Current Thread [Next in Thread]